﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.ActiveRecord;

namespace CompositeKeyExample
{
    [ActiveRecord]
    public class Osoba : ActiveRecordBase<Osoba>
    {
        [CompositeKey]
        public UserKey ID { get; set; }

        [Property]
        public string Imie { get; set; }

        [Property]
        public string Nazwisko { get; set; }

        public override string ToString()
        {
            return string.Format( "{0} {1}", this.Imie, this.Nazwisko );
        }
    }
}
